#
# spec file for package albumshaper
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           albumshaper
BuildRequires:  libdrm-devel libjpeg-devel libxslt-devel qt3-devel update-desktop-files
Summary:        Tool for Organizing and Enhancing Photos
Version:        2.1
Release:        249.2
Url:            http://albumshaper.sourceforge.net/
License:        GPL-2.0+
Group:          Productivity/Graphics/Viewers
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Patch:          albumshaper-gcc-warning.patch
Patch1:         albumshaper-project.patch
Patch2:         albumshaper-2.1-memory-leak.patch
Patch3:         albumshaper-includes.patch

%description
Album Shaper strives to be the most friendly, easy-to-use, open source
application for organizing, annotating, framing, enhancing, stylizing,
and sharing your digital photos. Album Shaper embraces open formats
like XML, JPEG, and XSLT, while supporting Windows, Mac OS X, and Unix
users who speak a multitude of languages around the world.

%prep
%setup 
%patch
%patch1
%patch2
%patch3

%build
	export QTDIR=/usr/lib/qt3
	export PATH=${QTDIR}/bin:${PATH}
	qmake "DESTDIR+=${RPM_BUILD_ROOT}/usr VPATH=${RPM_BUILD_ROOT}" AlbumShaper.pro
	make %{?_smp_mflags}

%install
	#make install
	cd bin
	chmod 0755 AlbumShaper
	cp 	-a AlbumShaper  $RPM_BUILD_ROOT/usr/bin
	install -m 0755 -d $RPM_BUILD_ROOT%{_datadir}/%{name}/
	cp -a images  $RPM_BUILD_ROOT%{_datadir}/%{name}/
	cp -a text    $RPM_BUILD_ROOT%{_datadir}/%{name}/
	find themes -type f -print0 | xargs -0 chmod 644
	cp -a themes $RPM_BUILD_ROOT%{_datadir}/%{name}/
	cp -a translations  $RPM_BUILD_ROOT%{_datadir}/%{name}/
	cp -a xmlConversion $RPM_BUILD_ROOT%{_datadir}/%{name}/
	cd ..
	cd resources/icons/
	install -m 0755 -d $RPM_BUILD_ROOT/usr/share/pixmaps/
	install -m 0644 as64.png $RPM_BUILD_ROOT/usr/share/pixmaps/albumshaper.png
	%suse_update_desktop_file -i %name Graphics Photography
	#
        #remove rpm build root 
        #this will not work :(
        #sed -i "s%${RPM_BUILD_ROOT}%""%g"   ${RPM_BUILD_ROOT}/usr/bin/AlbumShaper.bin

%files
%defattr(-,root,root)
%dir /usr/share/albumshaper
/usr/share/albumshaper/*
/usr/bin/AlbumShaper*
/usr/share/applications/albumshaper.desktop
/usr/share/pixmaps/albumshaper.png

%changelog
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
- Use %%_smp_mflags for parallel build
* Wed Apr  7 2010 ro@suse.de
- drop (broken) manual requires
* Mon Jun  8 2009 ro@suse.de
- include stdint.h where needed
* Mon Nov 10 2008 pnemec@suse.cz
- small fix to prevent memory leak [bnc#442924]
* Sat May 19 2007 coolo@suse.de
- remove X-SuSE-translate from desktop file
* Thu Apr  5 2007 pnemec@suse.cz
- another fix to use RPM_BUILD_ROOT correctly
- package has to be called using shell wraper,
  or program behave incorectly
* Mon Feb 26 2007 pnemec@suse.cz
- fix package to use RPM_BUILD_ROOT correctly
* Mon Nov  6 2006 ro@suse.de
- fix file permissions in themes
* Thu May 18 2006 schwab@suse.de
- Don't strip binaries.
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 26 2005 pnemec@suse.cz
- updating RSA-licensed file to GPL compatible files #128069
* Fri Oct  7 2005 stbinner@suse.de
- fix "Photograph" also in included .desktop file
* Tue Oct  4 2005 pnemec@suse.cz
- fixed gcc warning
* Thu Sep 29 2005 stbinner@suse.de
- fix "Photograph" to correct "Photography" xdg menu category
* Wed Sep 21 2005 pnemec@suse.cz
- created package version 2.1
